######################################
# Knudsen Chirp 3260 echosounder
Knudsen3260:
  category: "device_type"
  description: "Knudsen Chirp 3260"

  format:
    #  $PKEL99,00225,------,27092021,200842.739,Metres,4.0kHz,0.00,1,6.00,0.00,CHIRP,AMPLITUDE,3,3.0,8.0758,50.0,3500.0,4000.0,,,,,
    - "$PKEL{RecordNumber2:od},{RecordNumber6:od},{FixIndicator:nc},{Date:d},{Time:g},{Units:w},{Frequency:f}kHz,{Depth:og},{DepthValidFlag:od},{Draft:of},{ComputedHeave:of},{SignalType:ow},{EnvelopeDetectOpt:ow},{TransmitPower:od},{RXGain:of},{PulseLength:of},{TXBlank:of},{StartDepth:of},{EndDepth:of},,,,,"

  fields:
    RecordNumber2:
      description: "First two digits of record number"
    RecordNumber6:
      description: "Next six digits of record number"
    FixIndicator:
      description: "Fix indicator"
    Date:
      description:  "Date in DDMMYYYY format (day, month, year)"
    Time:
      description: "Time in HHMMSS.MMMM format (hours, minutes, seconds, milliseconds)"
    Units:
      description: "Working units (Metres or Feet)"
    Frequency:
      units: "kHz"
      description: "Channel frequency (4 or 12 kHz)"
    Depth:
      description: "Digitized depth, in specified units"
    DepthValid:
      units: "0"
      description: "Depth is valid if present (value may always be zero)"
    Draft:
      description: "Vessel draft, in specified units"
    ComputedHeave:
      description: "Computed vessel heave"
    SignalType:
      description: "Signal type, e.g. Chirp"
    EnvelopDetectOpt:
      description: "Envelope Detection Option, e.g. Squarelaw, Amplitude"
    RXGain:
      description: "Analog receiver gain"
    PulseLength:
      description: "Pulse length"
    TXBlank:
      description: "Transmitter blank"
    StartDepth:
      description: "Start depth"
    EndDepth:
      description: "End depth"

